| Cantera 3.0.0

Loading...
Searching...
No Matches
Namespaces | Macros | Variables
application.cpp File Reference
`#include "application.h"`
`#include "cantera/base/ctexceptions.h"`
`#include "cantera/base/stringUtils.h"`
`#include "cantera/base/ExtensionManagerFactory.h"`
`#include <boost/dll/import.hpp>`
`#include <boost/algorithm/string.hpp>`
`#include <fstream>`
`#include <sstream>`
`#include <mutex>`
Include dependency graph for application.cpp:

Go to the source code of this file.

## Namespaces
namespace | Cantera
| Namespace for the Cantera kernel.

## Variables
static std::mutex | dir_mutex
| Mutex for input directory access.
static std::mutex | app_mutex
| Mutex for creating singletons within the application object.
static std::mutex | msg_mutex
| Mutex for access to string messages.

## Macro Definition Documentation

## ◆ BOOST_DLL_USE_STD_FS

#define BOOST_DLL_USE_STD_FS

Definition at line 11 of file application.cpp.